Sandbox API Reference
Simulate Fiat Received
Simulate the receipt of fiat funds for an onramp order (Sandbox only)
POST
Sandbox environment only - This endpoint is only available atDocumentation Index
Fetch the complete documentation index at: https://docs.etherfuse.com/llms.txt
Use this file to discover all available pages before exploring further.
https://api.sand.etherfuse.com
Simulates the receipt of fiat funds for an onramp order. This allows you to test the complete onramp flow without actually sending money.
When creating an onramp order, the customer would normally need to send MXN to the depositClabe returned in the order response. In the sandbox environment, you can use this endpoint to simulate that deposit and trigger the order to proceed to completion.
Flow
- Create an onramp order via
POST /ramp/order - Call this endpoint with the
orderIdto simulate the fiat deposit - The order will progress through
funded→completedstatus - You’ll receive
order_updatedwebhooks as the order progresses
This endpoint returns an error if called in production environments.
Authentication
Your sandbox API key
Request Body
The UUID of the onramp order to simulate fiat received for
Response
200
Fiat received simulation successful. The order will now progress to completion.
400
Invalid request. Possible reasons:
- This endpoint is only available in sandbox or localnet environments
- The order is not in ‘created’ status
- The order is not an onramp order
404
Order not found